RagTime5ParserInternal::Zone Struct Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Public Attributes | Protected Attributes | Private Member Functions | Friends | List of all members
RagTime5ParserInternal::Zone Struct Reference

Internal: a zone of a RagTime5Parser. More...

## Public Types
enum | Type { Main, Data, Empty, Unknown }
| the zone type More...

## Public Member Functions
| Zone (MWAWInputStreamPtr input, libmwaw::DebugFile &asc)
| constructor More...
| ~Zone ()
| destructor More...
std::string | getKindLastPart (bool main=true) const
| returns the main type More...
MWAWInputStreamPtr | getInput ()
| returns the current input More...
void | setInput (MWAWInputStreamPtr input)
| reset the current input More...
bool | isMainInput () const
| returns true if the input correspond to the basic file More...
libmwaw::DebugFile & | ascii ()
| returns the current ascii file More...
void | setAsciiFileName (std::string const &name)
| defines the ascii name More...
void | createAsciiFile ()
| creates the ascii file More...

## Public Attributes
Type | m_type
| the zone type More...
int | m_subType
| the zone sub type More...
long | m_defPosition
| the position of the definition in the main zones More...
std::string | m_kinds [2]
| the zone types: normal and packing More...
MWAWEntry | m_entry
| the zone entry More...
bool | m_hiLoEndian
| true if the endian is hilo More...
int | m_ids [3]
| the zone id More...
int | m_idsFlag [3]
| the zone flag More...
std::vector< MWAWEntry > | m_entriesList
| the list of original entries More...
std::string | m_name
| the zone name (used mainly for debugging) More...
std::string | m_extra
| extra data More...

## Protected Attributes
MWAWInputStreamPtr | m_input
| the main input More...
bool | m_defaultInput
| a flag used to know if the input is or not the default input More...
std::string | m_asciiName
| the ascii file name ( used if we need to create a ascii file) More...
libmwaw::DebugFile * | m_asciiFile
| the ascii file corresponding to an input More...
shared_ptr< libmwaw::DebugFile > | m_localAsciiFile
| the local ascii file ( if we need to create a new input) More...

## Private Member Functions
| Zone (Zone const &orig)
Zone & | operator= (Zone const &orig)

## Friends
std::ostream & | operator<< (std::ostream &o, Zone const &z)
| operator<< More...

## Detailed Description

Internal: a zone of a RagTime5Parser.

## Member Enumeration Documentation

enum RagTime5ParserInternal::Zone::Type

the zone type

Enumerator
Main |
Data |
Empty |
Unknown |

## Constructor & Destructor Documentation

RagTime5ParserInternal::Zone::Zone | ( | MWAWInputStreamPtr | input,
|  | libmwaw::DebugFile & | asc
| ) |  |
| inline

constructor

RagTime5ParserInternal::Zone::~Zone | ( |  | ) |
| inline

destructor

RagTime5ParserInternal::Zone::Zone | ( | Zone const & | orig | ) |
| private

## Member Function Documentation

libmwaw::DebugFile& RagTime5ParserInternal::Zone::ascii | ( |  | ) |
| inline

returns the current ascii file

Referenced by RagTime5Parser::createZones(), RagTime5Parser::readDocumentVersion(), RagTime5Parser::readPicture(), RagTime5Parser::readPictureList(), RagTime5Parser::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readUnicodeString(), and RagTime5Parser::unpackZone().

void RagTime5ParserInternal::Zone::createAsciiFile | ( |  | ) |
| inline

creates the ascii file

Referenced by ascii().

MWAWInputStreamPtr RagTime5ParserInternal::Zone::getInput | ( |  | ) |
| inline

returns the current input

Referenced by RagTime5Parser::readDocumentVersion(), RagTime5Parser::readItemCluster(), RagTime5Parser::readListZone(), RagTime5Parser::readPicture(), RagTime5Parser::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readUnicodeString(), and RagTime5Parser::unpackZone().

std::string RagTime5ParserInternal::Zone::getKindLastPart | ( | bool | main = `true` | ) | const
| inline

returns the main type

Referenced by RagTime5Parser::createZones().

bool RagTime5ParserInternal::Zone::isMainInput | ( |  | ) | const
| inline

returns true if the input correspond to the basic file

Referenced by RagTime5Parser::readPicture().

Zone& RagTime5ParserInternal::Zone::operator= | ( | Zone const & | orig | ) |
| private

void RagTime5ParserInternal::Zone::setAsciiFileName | ( | std::string const & | name | ) |
| inline

defines the ascii name

Referenced by RagTime5Parser::update().

void RagTime5ParserInternal::Zone::setInput | ( | MWAWInputStreamPtr | input | ) |
| inline

reset the current input

Referenced by RagTime5Parser::unpackZone(), and RagTime5Parser::update().

## Friends And Related Function Documentation

std::ostream& operator<< | ( | std::ostream & | o,
|  | Zone const & | z
| ) |  |
| friend

operator<<

## Member Data Documentation

libmwaw::DebugFile* RagTime5ParserInternal::Zone::m_asciiFile
| protected

the ascii file corresponding to an input

Referenced by ascii(), and createAsciiFile().

std::string RagTime5ParserInternal::Zone::m_asciiName
| protected

the ascii file name ( used if we need to create a ascii file)

Referenced by createAsciiFile(), and setAsciiFileName().

bool RagTime5ParserInternal::Zone::m_defaultInput
| protected

a flag used to know if the input is or not the default input

Referenced by ascii(), isMainInput(), and setInput().

long RagTime5ParserInternal::Zone::m_defPosition

the position of the definition in the main zones

Referenced by RagTime5Parser::createZones(), RagTime5Parser::readDocumentVersion(), RagTime5Parser::readPicture(), and RagTime5Parser::readPictureMatch().

std::vector<MWAWEntry> RagTime5ParserInternal::Zone::m_entriesList

the list of original entries

Referenced by RagTime5ParserInternal::operator<<(), and RagTime5Parser::update().

MWAWEntry RagTime5ParserInternal::Zone::m_entry

the zone entry

Referenced by RagTime5Parser::createZones(), RagTime5ParserInternal::operator<<(), RagTime5Parser::readDocumentVersion(), RagTime5Parser::readItemCluster(), RagTime5Parser::readListZone(), RagTime5Parser::readPicture(), RagTime5Parser::readPictureMatch(), RagTime5Parser::readString(), RagTime5Parser::readUnicodeString(), RagTime5Parser::unpackZone(), and RagTime5Parser::update().

std::string RagTime5ParserInternal::Zone::m_extra

extra data

Referenced by RagTime5Parser::createZones(), RagTime5ParserInternal::operator<<(), and RagTime5Parser::unpackZone().

bool RagTime5ParserInternal::Zone::m_hiLoEndian

true if the endian is hilo

Referenced by RagTime5Parser::createZones(), RagTime5ParserInternal::operator<<(), RagTime5Parser::readItemCluster(), RagTime5Parser::readListZone(), and RagTime5Parser::readPictureMatch().

int RagTime5ParserInternal::Zone::m_ids[3]

the zone id

Referenced by RagTime5Parser::createZones(), RagTime5ParserInternal::operator<<(), RagTime5Parser::readPicture(), RagTime5Parser::update(), and Zone().

int RagTime5ParserInternal::Zone::m_idsFlag[3]

the zone flag

Referenced by RagTime5Parser::createZones(), RagTime5ParserInternal::operator<<(), RagTime5Parser::update(), and Zone().

MWAWInputStreamPtr RagTime5ParserInternal::Zone::m_input
| protected

the main input

Referenced by createAsciiFile(), getInput(), and setInput().

std::string RagTime5ParserInternal::Zone::m_kinds[2]

the zone types: normal and packing

Referenced by RagTime5Parser::createZones(), getKindLastPart(), RagTime5ParserInternal::operator<<(), and Zone().

shared_ptr<libmwaw::DebugFile> RagTime5ParserInternal::Zone::m_localAsciiFile
| protected

the local ascii file ( if we need to create a new input)

Referenced by ascii(), and createAsciiFile().

std::string RagTime5ParserInternal::Zone::m_name

the zone name (used mainly for debugging)

Referenced by RagTime5Parser::createZones(), and RagTime5Parser::update().

int RagTime5ParserInternal::Zone::m_subType

the zone sub type

Referenced by RagTime5ParserInternal::operator<<().

Type RagTime5ParserInternal::Zone::m_type

the zone type

Referenced by RagTime5ParserInternal::operator<<(), and RagTime5Parser::update().

The documentation for this struct was generated from the following file:

- RagTime5Parser.cxx